using System.ComponentModel.DataAnnotations;

namespace Core.Entities
{
    public class Chat
    {
        public Chat() 
        {
            Id = Guid.NewGuid();
        }

        [Key]
        public Guid Id { get; private set; }
        public Guid UserId { get; private set; }
        public Guid DoctorId { get; private set; }
        public string? Content { get; private set; }

        public void SetUserId(Guid userId) { UserId = userId; }
        public void SetDoctorId(Guid doctorId) { DoctorId = doctorId; }
        public void SetContent(string content) { Content = content; }
    }
}
